Skip to navigation

Get an S3 asset.

View as Markdown
Retrieve the details of S3 compatible datasource asset by id.

Authentication

AuthorizationBearer
Bearer authentication

Path parameters

AssetIdstringRequiredformat: "uuid">=1 character
Unique identifier of the asset.

Query parameters

usageInfobooleanOptional
Whether the query should include asset usage information as part of the response.
complyToProjectintegerOptional
Include workload creation compliance information of an asset, for a given project, as part of the response. To check compliance, you need to provide both project id and workload type.
complyToWorkloadTypeenumOptional
Include workload creation compliance information of an asset, for a given workload type, as part of the response. To check compliance, you need to provide both project id and workload type.
Allowed values:
statusInfobooleanOptional
Whether the query should include asset status information as part of the response.
complyToReplicaTypeenumOptional
Include workload creation compliance information of an asset, for a given replica type, as part of the response. To check compliance, you need to provide both project id and workload type. For distributed, replica type should be provided as well.
Allowed values:

Response

Request completed successfully.
metaobject
specobject
usedByobjectOptional
Details about resources that use the asset.
usageTimesobjectOptional
Details about times the asset has been used by workloads, etc.
complianceobjectOptional
Compliance of an asset with creation of workloads in a given project.
statusobjectOptional

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
503
Service Unavailable Error